-- Estructura de tabla para la tabla `expedicion`
CREATE TABLE IF NOT EXISTS `expedicion` (
  `ex_cod_sucursal` SMALLINT(5) UNSIGNED NOT NULL,
  `ex_num_exp` MEDIUMINT(7) UNSIGNED NOT NULL,
  `ex_fec_solicitud` date NOT NULL,
  `ex_fec_suc_origen` date DEFAULT NULL,
  `ex_fec_suc_destino` date DEFAULT NULL,
  `ex_repartidor` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `ex_re_cliente` SMALLINT(3) UNSIGNED NOT NULL,
  `ex_re_dni` varchar(9) NOT NULL,
  `ex_re_re` varchar(30) NOT NULL,
  `ex_re_direccion` varchar(40) NOT NULL,
  `ex_re_cp` SMALLINT(5) UNSIGNED NOT NULL,
  `ex_re_poblacion` varchar(25) NOT NULL,
  `ex_re_provincia` varchar(20) NOT NULL,
  `ex_re_telefono1` varchar(9) NOT NULL,
  `ex_re_telefono2` varchar(9) DEFAULT NULL,
  `ex_co_cliente` SMALLINT(3) UNSIGNED NOT NULL,
  `ex_co_dni` varchar(9) NOT NULL,
  `ex_co_co` varchar(30) NOT NULL,
  `ex_co_direccion` varchar(40) NOT NULL,
  `ex_co_cp` SMALLINT(5) UNSIGNED NOT NULL,
  `ex_co_poblacion` varchar(25) NOT NULL,
  `ex_co_provincia` varchar(20) NOT NULL,
  `ex_co_telefono1` varchar(9) NOT NULL,
  `ex_co_telefono2` varchar(9) DEFAULT NULL,
  `ex_estado` char(1) NOT NULL,
  `ex_observaciones` text DEFAULT NULL,
  `ex_factura` MEDIUMINT(5) UNSIGNED NOT NULL,
  `ex_esta` SMALLINT(5) UNSIGNED NOT NULL,
  `ex_viaje` SMALLINT(5) UNSIGNED DEFAULT NULL, 
  PRIMARY KEY (`ex_cod_sucursal`,`ex_num_exp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
-- Volcar la base de datos para la tabla `expedicion`