<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
     die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',13);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(40); $this->Cell(60,10,'ADMINISTRATIVOS',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(2,40);
       $this->Cell(18,6,'SUCURSAL',1,0,'C',1);
       $this->Cell(10,6,'COD',1,0,'C',1);
       $this->Cell(19,6,'NIF',1,0,'C',1);
       $this->Cell(55,6,'NOMBRE',1,0,'C',1);
       $this->Cell(65,6,utf8_decode('DIRECCIÓN'),1,0,'C',1);
       $this->Cell(12,6,'CP',1,0,'C',1);
       $this->Cell(36,6,utf8_decode('POBLACIÓN'),1,0,'C',1);
       $this->Cell(19,6,utf8_decode('TELÉFONO1'),1,0,'C',1);
       $this->Cell(19,6,utf8_decode('TELÉFONO2'),1,0,'C',1);
       $this->Cell(18,6,'F. ALTA',1,0,'C',1);
       $this->Cell(18,6,'F.FIN',1,0,'C',1);
       $this->Ln();
  }

  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF('L'); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',9);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$cambiarecoge = false;
$antrecoge = -1;
$result=mysql_query("select * from empleado where em_categoria = 2 order by em_cod_sucursal,em_codigo") or die("No se puede mostrar el listado");

$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    if ($sucu != $fila['em_cod_sucursal']){
         $pdf->Ln();
         $relleno=!$relleno; // cambio el relleno
    }
    $sucu = $fila['em_cod_sucursal']; $cod = $fila['em_codigo']; $dni = $fila['em_dni']; $nombre = $fila['em_nombre'];
    $direccion = $fila['em_direccion'];  $cp = $fila['em_cp'];  $poblacion = $fila['em_poblacion'];
    $telefono1 = $fila['em_telefono1']; $telefono2 = $fila['em_telefono2']; $categoria = $fila['em_categoria'];
    $falta = $fila['em_fec_alta']; $ffin = $fila['em_fec_fin'];
    // escribo los valores de la consulta 
    $pdf->SetX(2);
    $pdf->Cell(18,6,$sucu,1,0,'C',$relleno);
    $pdf->Cell(10,6,$cod,1,0,'C',$relleno);
    $pdf->Cell(19,6,$dni,1,0,'C',$relleno);
    $pdf->Cell(55,6,utf8_decode($nombre),1,0,'L',$relleno);
    $pdf->Cell(65,6,utf8_decode($direccion),1,0,'L',$relleno);
    $pdf->Cell(12,6,$cp,1,0,'C',$relleno);
    $pdf->Cell(36,6,utf8_decode($poblacion),1,0,'L',$relleno);
    $pdf->Cell(19,6,$telefono1,1,0,'C',$relleno);
    $pdf->Cell(19,6,$telefono2,1,0,'C',$relleno);
    $pdf->Cell(18,6,$falta,1,0,'C',$relleno);
    $pdf->Cell(18,6,$ffin,1,0,'C',$relleno);
    $pdf->Ln();
}
//mysql_close($result);
$pdf->Output(); //envio como salida el documento
?>