<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
    die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',7);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',14);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(5); $this->Cell(80,10,'RUTAS',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(30,40);
       $this->Cell(15,6,utf8_decode('CÓDIGO'),1,0,'C',1);
       $this->Cell(50,6,'SUCURSAL 1',1,0,'C',1);
       $this->Cell(50,6,'SUCURSAL 2',1,0,'C',1);
       $this->Cell(27,6,'COD.CAMIONERO',1,0,'C',1);
       $this->Ln();
  }

  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF(); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',9);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from viaje order by vi_cp1") or die("No se puede mostrar el listado");

//select vi_codigo,vi_camionero,s1.su_poblacion,s2.su_poblacion from viaje v, sucursal s1, sucursal s2 where v.vi_cp1=s1.su_cod_sucursal and v.vi_cp2=s2.su_cod_sucursal;

$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    if ($sucursal1 != $fila['vi_cp1']){
         $pdf->Ln();
         $relleno=!$relleno; // cambio el relleno
    }
    $cod = $fila['vi_codigo']; $sucursal1 = $fila['vi_cp1']; $sucursal2 = $fila['vi_cp2']; $camionero = $fila['vi_camionero'];
    $sucpob1 = ObtenerPobSuc($sucursal1);
    $sucpob2 = ObtenerPobSuc($sucursal2);
    $sucur1 =  $sucpob1." (".$sucursal1.")";
    $sucur2 =  $sucpob2." (".$sucursal2.")";
    // escribo los valores de la consulta
    $pdf->SetX(30);
    $pdf->Cell(15,6,$cod,1,0,'C',$relleno);
    $pdf->Cell(50,6,utf8_decode($sucur1),1,0,'C',$relleno);
    $pdf->Cell(50,6,utf8_decode($sucur2),1,0,'C',$relleno);
    $pdf->Cell(27,6,$camionero,1,0,'C',$relleno);
    $pdf->Ln();
}
//mysql_close($link);
$pdf->Output(); //envio como salida el documento
?>