<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
     die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',7);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',14);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(5); $this->Cell(60,10,'FENWUYS',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(30,40);
       $this->Cell(20,6,utf8_decode('CÓDIGO'),1,0,'C',1);
       $this->Cell(25,6,'MATRICULA',1,0,'C',1);
       $this->Cell(28,6,'MARCA',1,0,'C',1);
       $this->Cell(22,6,'MODELO',1,0,'C',1);
       $this->Cell(20,6,'PESO',1,0,'C',1);
       $this->Cell(20,6,'FECHA',1,0,'C',1);
       $this->Ln();
  }
  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF(); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',9);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from fenwuy where fe_cod_sucursal = $sucur") or die("No se puede mostrar el listado");

$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    $fecodigo = $fila['fe_codigo'];
    $fematricula = $fila['fe_matricula'];
    $femarca = $fila['fe_marca'];
    $femodelo = $fila['fe_modelo'];
    $fepeso = $fila['fe_peso'];
    $fefecha = $fila['fe_fecha'];
    // escribo los valores de la consulta
    $pdf->SetX(30);
    $pdf->Cell(20,6,$fecodigo,1,0,'C',$relleno);  // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
    $pdf->Cell(25,6,$fematricula,1,0,'L',$relleno);
    $pdf->Cell(28,6,$femarca,1,0,'L',$relleno);
    $pdf->Cell(22,6,$femodelo,1,0,'L',$relleno);
    $pdf->Cell(20,6,$fepeso,1,0,'R',$relleno);
    $pdf->Cell(20,6,$fefecha,1,0,'C',$relleno);
    $pdf->Ln();
    $relleno=!$relleno; // cambio el relleno
}
//mysql_close($link);
$pdf->Output(); //envio como salida el documento
?>

