<?php
include("acceso.php");
include("funciones.php");
require('fpdf16/fpdf.php');

if (!(conexion()))
     die ("Problema con el servidor, avise al administrador");
$sucur = $_SESSION['sucursal'];

class PDF extends FPDF{
  function Header(){
       $this->SetFont('Arial','I',7);  // (familia de fuente, estilo de fuente, tamaño de fuente)
       $this->SetX(5);
       $this->Image('logotipo.png',10,8,30);
       $this->Write(30,$_SESSION['titulosucursal']);
       $this->SetFont('Times','B',13);  // (familia de fuente, estilo de fuente, tamaño de fuente) 
       $this->Cell(5); $this->Cell(80,10,'SUCURSALES',1,0,'C',1); // (ancho,alto,cadena,border,posicion actual,alinea el texto,relleno)
       $this->SetFont('Arial','B',9);
       $this->SetXY(10,40);
       $this->Cell(12,6,utf8_decode('CÓDIGO'),1,0,'C',1);
       $this->Cell(22,6,'PROVINCIA',1,0,'C',1);
       $this->Cell(36,6,utf8_decode('POBLACIÓN'),1,0,'C',1);
       $this->Cell(62,6,utf8_decode('DIRECCIÓN'),1,0,'C',1);
       $this->Cell(18,6,utf8_decode('TELÉFONO'),1,0,'C',1);
       $this->Cell(15,6,'FAX',1,0,'C',1);
       $this->Cell(13,6,'metros2',1,0,'C',1);
       $this->Cell(12,6,'MADRE',1,0,'C',1);
       $this->Ln();
  }

  function Footer(){
       $this->SetY(-15); // distancia de 1.5 con respecto al final de pagina
       $this->SetFont('Times','I',10);
       $this->Cell(0,10,utf8_decode('Página ').$this->PageNo().'/{nb}',0,0,'C');
  }
}

$pdf=new PDF(); //crea un objeto de la clase fpdf();
$pdf->AliasNbPages();
$pdf->SetFillColor(210);  //color usado por todas las operaciones de relleno, indica el nivel de gris.
$pdf->AddPage();  //agrega una hoja al documento
$pdf->SetFont('Arial','I',8);  // (familia de fuente, estilo de fuente, tamaño de fuente)

$result=mysql_query("select * from sucursal") or die("No se puede mostrar el listado");

$relleno=false;  // control para rellenar de forma intercalada las lineas
while($fila = mysql_fetch_array($result)){
    // obtengo los valores de la consulta
    $susucursal = $fila['su_cod_sucursal'];
    $suprovincia = $fila['su_provincia'];
    $supoblacion = $fila['su_poblacion'];
    $sudireccion = $fila['su_direccion'];
    $sutelefono = $fila['su_telefono'];
    $sufax = $fila['su_fax'];
    $sum2 = $fila['su_m2'];
    $sumadre = $fila['su_madre'];
    // escribo los valores de la consulta
    $pdf->Cell(12,6,$susucursal,1,0,'C',$relleno);
    $pdf->Cell(22,6,utf8_decode($suprovincia),1,0,'L',$relleno);
    $pdf->Cell(36,6,utf8_decode($supoblacion),1,0,'L',$relleno);
    $pdf->Cell(62,6,utf8_decode($sudireccion),1,0,'L',$relleno);
    $pdf->Cell(18,6,$sutelefono,1,0,'C',$relleno);
    $pdf->Cell(15,6,$sufax,1,0,'C',$relleno);
    $pdf->Cell(13,6,$sum2,1,0,'R',$relleno);
    $pdf->Cell(12,6,$sumadre,1,0,'C',$relleno);
    $pdf->Ln();
    $relleno=!$relleno; // cambio el relleno
}
//mysql_close($result);
$pdf->Output(); //envio como salida el documento
?>